/*test clone-node attribute X-NODEREF*/
function cloneNode returns int (err-num as int):
   def var hDoc as handle.
   def var hRoot as handle.
   def var hChild as handle.
   def var hTemp as handle.
   def var hCloneNode as handle.
   def var res as logical init false.
   def var l as logical.
   def var c as character.
   create x-document hDoc.
   create x-noderef hRoot.
   create x-noderef hChild.
   create x-noderef hTemp.

   hDoc:create-node(hRoot,"root","element").
   hDoc:create-node(hChild,"child","element").
   hDoc:append-child(hRoot).
   hRoot:append-child(hChild).

   hRoot:clone-node(hCloneNode, ?) no-error.
   if not error-status:error and not error-status:get-number(1) eq 4065
                        then message "Unexpected error clone-node: " error-status:get-number(1) " " error-status:get-message(1).

   create x-noderef hCloneNode.

   hCloneNode:clone-node(hTemp, true) no-error.
   if not error-status:error and not error-status:get-number(1) eq 9102
                        then message "Unexpected error clone-node: " error-status:get-number(1) " " error-status:get-message(1).

   l = hRoot:clone-node(hCloneNode, true) no-error.

   if hRoot:name <> hCloneNode:name or not l then message "error clone-node".

   return 0.
end.

cloneNode(-1).